source: CMT/HEAD/mgr/fragments/cleanup_header @ 458

Last change on this file since 458 was 458, checked in by rybkin, 16 years ago

See C.L. 359

  • Property svn:eol-style set to native
File size: 881 bytes
Line 
1#-- start of cleanup_header --------------
2
3clean :: ${CONSTITUENT}clean
4        @cd .
5
6ifndef PEDANTIC
7.DEFAULT::
8        @echo "#CMT> Warning: $@: No rule for such target" >&2; exit
9else
10.DEFAULT::
11        @echo "#CMT> PEDANTIC MODE >> No rule for target $@" >&2
12        @if test $@ = "$(cmt_final_setup)" -o\
13         $@ = "$(cmt_final_setup_${CONSTITUENT})" ; then\
14         found=n; for s in 1 2 3 4 5; do\
15         sleep $$s; test ! -f $@ || { found=y; break; }\
16         done; if test $$found = n; then\
17         echo "#CMT> PEDANTIC MODE >> $@ seems to be missing. Ignore it for now" >&2; exit 0 ; fi;\
18         elif test `expr index $@ '/'` -ne 0 ; then\
19         echo "#CMT> PEDANTIC MODE >> $@ seems to be a missing file, please check" >&2; exit -1 ; \
20         else\
21         echo "#CMT> PEDANTIC MODE >> $@ seems to be a fake target due to some pattern. Just ignore it" >&2 ; exit 0; fi
22endif
23
24${CONSTITUENT}clean ::
25#-- end of cleanup_header ---------------
Note: See TracBrowser for help on using the repository browser.